Bug 984840 - rpc.mountd parse the short option -n error. but parse the long --no-tcp ok.
rpc.mountd parse the short option -n error. but parse the long --no-tcp ok.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nfs-utils (Show other bugs)
5.9
All Linux
unspecified Severity urgent
: rc
: 5.10
Assigned To: Steve Dickson
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 03:34 EDT by Yin.JianHong
Modified: 2014-02-05 16:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:47:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yin.JianHong 2013-07-16 03:34:54 EDT
Description of problem:
when I config RPCMOUNTDOPTS="-n" in /etc/sysconfig/nfs
start mountd fail.

Version-Release number of selected component (if applicable):
nfs-utils-1.0.9-66.el5

How reproducible:
100%

Steps to Reproduce:
1. rcp.mountd -n
2.
3.

Actual results:
can not organize -n option, echo usage and exit.

Expected results:
work fine

Additional info:
~
Comment 1 Yin.JianHong 2013-07-16 03:41:04 EDT
the latest 5.10 RTT distro, has the same problem.
nfs-utils-1.0.9-69.el5
Comment 2 Yin.JianHong 2013-08-07 00:42:08 EDT
Hi steved
  a should not mistake, please check and fix...

-------------------------------------------------------
# rpc.mountd -n
Usage: rpc.mountd [-F|--foreground] [-h|--help] [-v|--version] [-d kind|--debug kind]
        [-o num|--descriptors num] [-f exports-file|--exports-file=file]
        [-p|--port port] [-V version|--nfs-version version]
        [-N version|--no-nfs-version version] [-n|--no-tcp]
        [-H ha-callout-prog] [-s|--state-directory-path path]
        [-t num|--num-threads=num]
Comment 3 RHEL Product and Program Management 2014-01-29 05:35:37 EST
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 4 RHEL Product and Program Management 2014-02-05 16:47:11 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.